%define name svgpage
%define version 0.5
%define release %mkrel 1

Summary: Converts or renders PNG, GIF, BMP, JPG or XPM to SVG
Name:	 %{name}
Version: %{version}
Release: %{release}
Group:	Graphics
License: GPL	
URL: http://www.pcbypaul.com/
Source0: http://www.gnomefiles.org/app.php/SVGpage-0.5/%{name}_src-%{version}.tar.bz2
Source1: %{name}.png
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: python
Requires: pygtk2.0
Requires: python-cairo
Requires: libsvg-cairo1
Requires: glibc >= 2.10.1
Requires: libstdc++6 >= 4.4.1
Obsoletes: %{name} < %version



%description
Renders to SVG in a Painterly fashion for images with lots of curves and/or gradients.
Photos have a "GIMPressionist" look. Uses static build of autotrace to render, many
adjustable parameters. Views images as 200x200 thumbnails but can pop them open Full-Size
to evaluate and compare. Can also resize, save SVG to file or convert to PNG or JPG to file.

%prep 
%setup -q -n %{name}_src-%{version}


%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_datadir/%name  
cp -af autotrace *.jpg *.svg *.png %buildroot/%_datadir/%name
cp -af *.py *.pyc *.cfg %buildroot/%_datadir/%name

# desktop file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%name.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=SVGpage
Comment=Converts or renders PNG, GIF, BMP, JPG or XPM to SVG
Exec=%name
Icon=%name
Terminal=false
Type=Application
Categories=Graphics;X-MandrivaLinux-Multimedia-Graphics;
EOF

#icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/pixmaps

#launcher
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cat > %buildroot%_bindir/%name << EOF
#!/bin/sh
cd %{_datadir}/%name
exec ./SVGpage.py
EOF
chmod +x %{buildroot}%{_bindir}/%{name}

rm -f %{buildroot}%{_datadir}/%{name}/%{COPYING, changelog, README}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus


%files
%defattr(-,root,root,-)
%doc COPYING changelog README
%{_bindir}/%{name}
%{_datadir}/%{name}                                      
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sat Nov 14 2009 slick50 <lxgator@gmail.com> 0.5-1pclos2010
- Initial build 
